Cards

Tokenise a card once and re-use the token on subsequent transactions. Manage the lifecycle: list, detail, update, delete.

List cards

GET /v1/cards/{page}/{limit}

Path parameters

NameExampleDescription
page
limit

Errors

CodeDescription
default

Card detail

GET /v1/cards/{token}

Path parameters

NameExampleDescription
token

Errors

CodeDescription
default

Update card

PUT /v1/cards/{token}

Path parameters

NameExampleDescription
token

Errors

CodeDescription
default

Delete card

DELETE /v1/cards/{token}

Path parameters

NameExampleDescription
token

Errors

CodeDescription
default

Tokenize card

POST /v1/cards
Operation card_new

Request body

Field Type Description
card_number string (0,any) Valid card number. Luhn validation will be applied
cardholder_name string (0,any)
card_expiration_month string (0,any) Valid month between 01 and 12
card_expiration_year string (0,any) Valid year.
card_alias string (0,any)

Example request

{
    "card_number": "4111111111111111",
    "cardholder_name": "John Doe",
    "card_expiration_month": "01",
    "card_expiration_year": "24",
    "card_alias": "string"
}

Response

Field Type Description
code integer (0,any)

Example response

{
    "code": "integer",
    "data": {
        "token": "89adaf41-95e6-4a42-b4ee-a686caba7139"
    }
}
esc
navigate open esc close
Copied